Bug 245380 - e-mails about commits often come after long delays
Summary: e-mails about commits often come after long delays
Status: In Progress
Alias: None
Product: Services
Classification: Unclassified
Component: Core Infrastructure (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Only Me
Assignee: postmaster
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-05 18:40 UTC by Yuri Victorovich
Modified: 2020-04-06 03:34 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-04-05 18:40:52 UTC
When a commit to the ports repository is made, ports-committers@freebsd.org often gets an e-mail after a delay of 5+ minutes, and sometimes after 30+ minutes.
Comment 1 Philip Paeps freebsd_committer 2020-04-06 02:49:23 UTC
Please provide headers of a delayed message.

Around the beginning of every month, mx2.freebsd.org (our outgoing relay) often gets a little backlogged with the output from certain monthly cronjobs.  This is a known issue.

The queue currently looks "about average".  Please give postmaster more details if you want us to investigate further.
Comment 2 Yuri Victorovich freebsd_committer 2020-04-06 03:05:25 UTC
Pasting the headers of the message that was delayed for about 25 minutes this morning:

-----headers------
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
X-Mozilla-Keys:                                                                                 
Return-Path: <owner-ports-committers@freebsd.org>
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on mail1.rawbw.com
X-Spam-Level: 
X-Spam-Status: No, score=-3.8 required=7.0 tests=J_CHICKENPOX_32,
	J_CHICKENPOX_36,RCVD_IN_DNSWL_HI,RP_MATCHES_RCVD,SPF_PASS autolearn=disabled
	version=3.3.1
Received: from mx2.freebsd.org (mx2.freebsd.org [96.47.72.81])
	by mail1.rawbw.com (8.14.2/8.14.2) with ESMTP id 035IpUKi051046
	for <yuri+freebsd@rawbw.com>; Sun, 5 Apr 2020 11:51:35 -0700 (PDT)
	(envelope-from owner-ports-committers@freebsd.org)
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
	(Client CN "mx1.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by mx2.freebsd.org (Postfix) with ESMTPS id 4625C6B110
	for <yuri+freebsd@rawbw.com>; Sun,  5 Apr 2020 18:51:29 +0000 (UTC)
	(envelope-from owner-ports-committers@freebsd.org)
Received: from freefall.freebsd.org (freefall.freebsd.org [96.47.72.132])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 server-signature RSA-PSS (4096 bits)
	 client-signature RSA-PSS (4096 bits) client-digest SHA256)
	(Client CN "freefall.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by mx1.freebsd.org (Postfix) with ESMTPS id 48wN742YZvz44JS
	for <yuri+freebsd@rawbw.com>; Sun,  5 Apr 2020 18:51:28 +0000 (UTC)
	(envelope-from owner-ports-committers@freebsd.org)
Received: by freefall.freebsd.org (Postfix)
	id 0E89A1AD75; Sun,  5 Apr 2020 18:51:17 +0000 (UTC)
Delivered-To: yuri@localmail.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits)
	 client-signature RSA-PSS (4096 bits))
	(Client CN "mx1.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by freefall.freebsd.org (Postfix) with ESMTPS id 6971A1ABFB;
	Sun,  5 Apr 2020 18:51:16 +0000 (UTC)
	(envelope-from owner-ports-committers@freebsd.org)
Received: from freefall.freebsd.org (freefall.freebsd.org [96.47.72.132])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 server-signature RSA-PSS (4096 bits)
	 client-signature RSA-PSS (4096 bits) client-digest SHA256)
	(Client CN "freefall.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by mx1.freebsd.org (Postfix) with ESMTPS id 48wN6q0tvmz44C1;
	Sun,  5 Apr 2020 18:51:15 +0000 (UTC)
	(envelope-from owner-ports-committers@freebsd.org)
Received: by freefall.freebsd.org (Postfix, from userid 538)
	id 10F381ADAC; Sun,  5 Apr 2020 18:51:05 +0000 (UTC)
Delivered-To: ports-committers@localmail.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [96.47.72.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits)
	 client-signature RSA-PSS (4096 bits))
	(Client CN "mx1.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by freefall.freebsd.org (Postfix) with ESMTPS id F04211AB64
	for <ports-committers@localmail.freebsd.org>; Sun,  5 Apr 2020 18:51:01 +0000 (UTC)
	(envelope-from yuri@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org [IPv6:2610:1c1:1:606c::19:3])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 server-signature RSA-PSS (4096 bits)
	 client-signature RSA-PSS (4096 bits) client-digest SHA256)
	(Client CN "mxrelay.nyi.freebsd.org", Issuer "Let's Encrypt Authority X3" (verified OK))
	by mx1.freebsd.org (Postfix) with ESMTPS id 48wN6V720Tz446c;
	Sun,  5 Apr 2020 18:50:58 +0000 (UTC)
	(envelope-from yuri@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org [IPv6:2610:1c1:1:6068::e6a:0])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client did not present a certificate)
	by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id 517A719F70;
	Sun,  5 Apr 2020 18:33:43 +0000 (UTC)
	(envelope-from yuri@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
	by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id 035IXhZ3055014;
	Sun, 5 Apr 2020 18:33:43 GMT
	(envelope-from yuri@FreeBSD.org)
Received: (from yuri@localhost)
	by repo.freebsd.org (8.15.2/8.15.2/Submit) id 035IXd9F054992;
	Sun, 5 Apr 2020 18:33:39 GMT
	(envelope-from yuri@FreeBSD.org)
Message-Id: <202004051833.035IXd9F054992@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: yuri set sender to yuri@FreeBSD.org using -f
From: Yuri Victorovich <yuri@freebsd.org>
Date: Sun, 5 Apr 2020 18:33:39 +0000 (UTC)
To: ports-committers@freebsd.org, svn-ports-all@freebsd.org,
        svn-ports-head@freebsd.org
Subject: svn commit: r530801 - in head: benchmarks/dbench benchmarks/httperf databases/cdb databases/soci devel/py-python-gflags dns/dlint irc/libircclient lang/go multimedia/cclive net-mgmt/whatmask news/p...
X-SVN-Group: ports-head
X-SVN-Commit-Author: yuri
X-SVN-Commit-Paths: in head: benchmarks/dbench benchmarks/httperf databases/cdb databases/soci devel/py-python-gflags dns/dlint irc/libircclient lang/go multimedia/cclive net-mgmt/whatmask news/py-yenc print/libharu prin...
X-SVN-Commit-Revision: 530801
X-SVN-Commit-Repository: ports
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Precedence: bulk
X-Loop: FreeBSD.org
Sender: owner-ports-committers@freebsd.org
List-Id: FreeBSD mail <ports-committers.freebsd.org>

Author: yuri
Date: Sun Apr  5 18:33:39 2020
New Revision: 530801
URL: https://svnweb.freebsd.org/changeset/ports/530801

Log:
  Reset maintainer for ports maintaned by jlaffaye@.
Comment 3 Philip Paeps freebsd_committer 2020-04-06 03:08:03 UTC
This is interesting.  It looks like the message got delayed between mxrelay.nyi and mx1.  I'll take a look.

Thanks for the details!
Comment 4 Philip Paeps freebsd_committer 2020-04-06 03:14:57 UTC
It looks like mx1 is currently very busy processing a lot of really big emails from pkg-fallout.  There's not a lot I can do to make this go faster, I think.
Comment 5 Philip Paeps freebsd_committer 2020-04-06 03:34:16 UTC
On further investigation, it looks like there was a mail loop that's been going for a while.  I think I've killed the source of the loop but it'll be a while before the queues flush.